package ink.wgink.login.oauth2.client.service.rbac;

import org.springframework.security.core.Authentication;

import javax.servlet.http.HttpServletRequest;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IClientRbacService
 * @Description: 客户端RBAC权限校验
 * @Author: WangGeng
 * @Date: 2019/11/11 3:27 下午
 * @Version: 1.0
 **/
public interface IOAuth2ClientRbacService {

    /**
     * 权限校验
     *
     * @param request
     * @param authentication
     * @return
     */
    boolean hasPermission(HttpServletRequest request, Authentication authentication);

}
